include ../test_defines.mk

COMMON_DIR = ../common
COMMON_SOURCES = $(wildcard $(COMMON_DIR)/*.c)

TARGET = run_test
TARGET_MODULE = ../modules_under_test/test_module.so
SOURCES += $(wildcard ./*.c) $(COMMON_SOURCES))
OBJECTS = $(addprefix $(OBJDIR)/,$(notdir $(SOURCES:.c=.o)))

WRAP_FUNC=-Wl,--wrap=
MOCK_WRAP= amxb_call \
		   amxb_be_who_has \
		   amxp_subproc_vstart_wait

LDFLAGS += -g $(addprefix $(WRAP_FUNC),$(MOCK_WRAP))

include ../test_targets.mk
